routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::prefix('admin')->name('admin.')->namespace('Auth')->middleware('guest:admin')->group(function () {
    // Authentication Routes...
    Route::get('/', 'LoginController@showLoginForm')->name('login');
    Route::get('login', 'LoginController@showLoginForm')->name('login');
    Route::post('login', 'LoginController@login')->name('login.submit');
});

Route::name('admin.')->prefix('admin')->middleware(['auth:admin'])->group(function () {
    Route::patch('/fcm-token', 'HomeController@updateToken')->name('fcmToken');
    Route::post('logout', 'Auth\LoginController@logout')->name('logout');
    Route::get('editprofile', 'HomeController@editprofile')->name('editprofile');
    Route::post('updateprofile', 'HomeController@updateprofile')->name('updateprofile');


    Route::get('/home', 'HomeController@index')->name('home');
    Route::group(['prefix' => 'teacher'], function () {
        Route::get('/', 'TeacherController@index')->name('techers');
        Route::get('/update/{id}', 'TeacherController@update')->name('teachers.update');
        Route::post('/delete/{id}', 'TeacherController@destroy')->name('teachers.delete');
    });

    Route::group(['prefix' => 'user'], function () {
        Route::get('/', 'UserController@index')->name('users');
        Route::post('/delete/{id}', 'UserController@destroy')->name('users.delete');
        Route::get('/edit/{id}', 'UserController@edit')->name('users.edit');
        Route::get('/update/{id}', 'UserController@update')->name('users.update');
        Route::post('/assign/teacher/{id}', 'UserController@assignteacher')->name('users.assignteacher');
    });
});

routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', 'Auth\LoginController@showLoginForm')->name('logins');

Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login')->name('login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

// Registration Routes...
Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register', 'Auth\RegisterController@create')->name('registersubmit');

// Auth::routes();
Route::middleware(['auth:web'])->group(function () {
    Route::patch('/fcm-token', 'HomeController@updateToken')->name('fcmToken');
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/edit-profile', 'HomeController@editProfile')->name('editProfile');
    Route::post('/update-profile', 'HomeController@updateProfile')->name('updateProfile');
});

resources/views/admin/edit.blade.php
@extends('admin.layouts.admin')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Update Profile</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('admin.updateprofile') }}" enctype="multipart/form-data">
                        @csrf

                        <div class="row mb-3">
                            <label for="name" class="col-md-4 col-form-label text-md-end">Name</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ $user->name }}" required>

                                @error('name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label for="email" class="col-md-4 col-form-label text-md-end">Email</label>

                            <div class="col-md-6">
                                <input id="email" type="text" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ $user->email }}" required>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>



                        <div class="row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

resources/views/admin/home.blade.php
@extends('admin.layouts.admin')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <div class="row">
                        <div class="col-md-4">Name : </div>
                        <div class="col-md-6">{{$user->name}}</div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">Email : </div>
                        <div class="col-md-6">{{$user->email}}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/teachers.blade.php
@extends('admin.layouts.admin')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header text-center">All Teachers</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif

                        <table id="example" class="table table-striped" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Profile</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Address</th>
                                    <th>Current School</th>
                                    <th>Previous School</th>
                                    <th>Experience</th>
                                    <th>Expertise</th>
                                    <th>Students</th>
                                    <th>status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($teachers as $teacher)
                                    <tr>
                                        <td>
                                            <img src="{{$teacher->getUserDetails!=null ? $teacher->getUserDetails->profile : null}}" style="max-width: 40px;border-radius:50%" alt="">
                                        </td>
                                        <td>{{$teacher->name}}</td>
                                        <td>{{$teacher->email}}</td>
                                        <td>{{$teacher->getUserDetails!=null ? $teacher->getUserDetails->address : null}}</td>
                                        <td>{{$teacher->getUserDetails!=null ? $teacher->getUserDetails->current_school : null}}</td>
                                        <td>{{$teacher->getUserDetails!=null ? $teacher->getUserDetails->previous_school : null}}</td>
                                        <td>{{$teacher->getTeacherDetails!=null ? $teacher->getTeacherDetails->experience : null}}</td>
                                        <td>{{$teacher->getTeacherDetails!=null ? $teacher->getTeacherDetails->expertise_subject : null}}</td>
                                        <td>
                                                @if (count($teacher->getStudent)>0)
                                                    @forelse ($teacher->getStudent as $user)
                                                       {{$user->getUserData->name}},
                                                    @empty
                                                    @endforelse
                                                @endif
                                        </td>
                                        @if ($teacher->active==1)
                                            <td><span class="btn btn-success btn-sm">Active</span></td>
                                        @else
                                            <td><span class="btn btn-danger btn-sm">Inactive</span></td>
                                        @endif
                                        <td><a href="{{route('admin.teachers.update',$teacher->id)}}" class="btn btn-primary btn-sm">Change Status</a>
                                        </td>
                                    </tr>
                                @empty

                                @endforelse
                            </tbody>
                        </table>


                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('script')
        <script>
            $(document).ready(function () {
                $('#example').DataTable();
            });
        </script>
    @endpush
@endsection

resources/views/admin/update-user.blade.php
@extends('admin.layouts.admin')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Update User</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('admin.users.assignteacher',$user->id) }}" >
                        @csrf

                        <div class="row mb-3">
                            <label for="user_id" class="col-md-4 col-form-label text-md-end">Student</label>
                            <div class="col-md-6">
                                <input type="hidden" name="user_id" value="{{$user->id}}"/>

                                <input type="text" class="form-control @error('user_id') is-invalid @enderror" name="name" value="{{$user->name}}"/>
                            </div>
                            <div class="col-md-6">

                                @error('user_id')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>


                        <div class="row mb-3">
                            <label for="teacher_id" class="col-md-4 col-form-label text-md-end">Select Teacher</label>

                            <div class="col-md-6">
                                <select class="form-control @error('teacher_id') is-invalid @enderror" name="teacher_id" id="">
                                    <option value="0">Select Teacher</option>
                                    @forelse ($teachers as $teacher)
                                        <option @if ($user->teacher_id==$teacher->id) selected @endif value="{{$teacher->id}}">{{$teacher->name}}</option>
                                    @empty
                                    @endforelse
                                </select>
                                @error('teacher_id')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>


                        <div class="row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

resources/views/admin/users.blade.php
@extends('admin.layouts.admin')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header text-center">All Users</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif

                        <table id="example" class="table table-striped" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Profile</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Address</th>
                                    <th>Current School</th>
                                    <th>Previous School</th>
                                    <th>Parent Details</th>
                                    <th>Assign Teacher</th>
                                    <th>status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($users as $user)
                                    <tr>
                                        <td>
                                            <img src="{{$user->getUserDetails!=null ? $user->getUserDetails->profile : null}}" style="max-width: 40px;border-radius:50%" alt="">
                                        </td>
                                        <td>{{$user->name}}</td>
                                        <td>{{$user->email}}</td>
                                        <td>{{$user->getUserDetails!=null ? $user->getUserDetails->address : null}}</td>
                                        <td>{{$user->getUserDetails!=null ? $user->getUserDetails->current_school : null}}</td>
                                        <td>{{$user->getUserDetails!=null ? $user->getUserDetails->previous_school : null}}</td>
                                        <td>{{$user->getStudentDetails!=null ? $user->getStudentDetails->parent_detail : null}}</td>
                                        <td>{{$user->getTeacher!=null ? $user->getTeacher->getTeacherData->name : null}}</td>

                                        @if ($user->active==1)
                                            <td><span class="btn btn-success btn-sm">Active</span></td>
                                        @else
                                            <td><span class="btn btn-danger btn-sm">Inactive</span></td>
                                        @endif
                                        <td><a href="{{route('admin.users.update',$user->id)}}" class="btn btn-primary btn-sm mb-2">Change Status</a>
                                        <a href="{{route('admin.users.edit',$user->id)}}" class="btn btn-primary btn-sm">Assign Teacher</a></td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>


                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('script')
        <script>
            $(document).ready(function () {
                $('#example').DataTable();
            });
        </script>
    @endpush
@endsection